package com.ssj.bean.weixin.zyb.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2017年7月4日 下午4:50:50 
 * 类说明  打分明细表
 */
@Entity
@Table(name = "zyb_student_work_details")
public class ZuoybStudentWorkDetails extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 4001250870719107902L;
	/**
	 * 打分ID
	 */
	private String  studentWorkId;
	/**
	 * 一级名称值
	 */
	private String  parentName;
	/**
	 * 选择或输入的值
	 */
	private String  childName;
	/**
	 * 打分时间
	 */
	private Date    scoringTime;
	/**
	 * 序号，往小越往前
	 */
	private Integer num;
	/**
	 * 图书馆ID
	 */
	private String libId;
	/**
	 * zyb_scoring_content 主键ID
	 */
	private String scoringContentId;
	
	 /**
	 *(1,单选，2多选，3文本域，4输入字符框,5输入数字框)
	 */
    private Integer stat;
    
    private String  childStat;
 
	public String getStudentWorkId() {
		return studentWorkId;
	}
	public void setStudentWorkId(String studentWorkId) {
		this.studentWorkId = studentWorkId;
	}
	public String getParentName() {
		return parentName;
	}
	public void setParentName(String parentName) {
		this.parentName = parentName;
	}
	public String getChildName() {
		return childName;
	}
	public void setChildName(String childName) {
		this.childName = childName;
	}
	@Column(updatable =false)
	public Date getScoringTime() {
		return scoringTime;
	}
	public void setScoringTime(Date scoringTime) {
		this.scoringTime = scoringTime;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getScoringContentId() {
		return scoringContentId;
	}
	public void setScoringContentId(String scoringContentId) {
		this.scoringContentId = scoringContentId;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public String getChildStat() {
		return childStat;
	}
	public void setChildStat(String childStat) {
		this.childStat = childStat;
	}

}
